Main Restorations Software Audio/Jukebox/MP3 Everything Else Buy/Sell/Trade
Project Announcements Monitor/Video GroovyMAME Merit/JVL Touchscreen Meet Up Retail Vendors
Driving & Racing Woodworking Software Support Forums Consoles Project Arcade Reviews
Automated Projects Artwork Frontend Support Forums Pinball Forum Discussion Old Boards
Raspberry Pi & Dev Board controls.dat Linux Miscellaneous Arcade Wiki Discussion Old Archives
Site News

Unread posts | New Replies | Recent posts | Rules | Chatroom | Wiki | File Repository | RSS | Submit news


  

Author Topic: MAME 0.196 compiler warnings  (Read 538 times)

0 Members and 1 Guest are viewing this topic.

EMDB

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 862
  • Project RetroCade
MAME 0.196 compiler warnings
« on: April 16, 2018, 01:19:02 pm »
When I try to compile  MAME 0.196 with the no-nag patch (http://mamestuff.lowtrucks.net/MKChamp/) using the latest Mame Compiler 64 (V2.0.176) I get a lot of warnings during the build. The build finishes though and a new version om MAME is created. It even seems to work but I'm in doubt about the warnings. It looks like 2 warnings about deprecated stuff repeating in all kind of drivers:



Anybody a clue?  ???  ???

Robbbert

  • Trade Count: (0)
  • Full Member
  • ***
  • Offline Offline
  • Posts: 78
Re: MAME 0.196 compiler warnings
« Reply #1 on: April 16, 2018, 06:30:58 pm »
Yes... ignore them all. There will most likely be even more warnings for 0.197.

Specifically "set_digit_value" was deprecated (causes the warnings) and has now been eliminated. However "set_led_value" and "set_lamp_value" are newly added, so creating even more warnings. Plus a single warning about a CPU.

So, as long as your build gets created at the end, there's nothing to worry about.

  
 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31